package domain

type AlibabaWdkCouponSkuAddCouponTemplateItemRequest struct {
	/*
	   模板表主键id     */
	Id *int64 `json:"id,omitempty" `

	/*
	   券圈品设置     */
	PromActSkuList *[]AlibabaWdkCouponSkuAddPromActSku `json:"prom_act_sku_list,omitempty" `

	/*
	   ump模板ID     */
	SourceId *int64 `json:"source_id,omitempty" `

	/*
	   用户信息     */
	UserInfo *AlibabaWdkCouponSkuAddUserInfo `json:"user_info,omitempty" `
}

func (s *AlibabaWdkCouponSkuAddCouponTemplateItemRequest) SetId(v int64) *AlibabaWdkCouponSkuAddCouponTemplateItemRequest {
	s.Id = &v
	return s
}
func (s *AlibabaWdkCouponSkuAddCouponTemplateItemRequest) SetPromActSkuList(v []AlibabaWdkCouponSkuAddPromActSku) *AlibabaWdkCouponSkuAddCouponTemplateItemRequest {
	s.PromActSkuList = &v
	return s
}
func (s *AlibabaWdkCouponSkuAddCouponTemplateItemRequest) SetSourceId(v int64) *AlibabaWdkCouponSkuAddCouponTemplateItemRequest {
	s.SourceId = &v
	return s
}
func (s *AlibabaWdkCouponSkuAddCouponTemplateItemRequest) SetUserInfo(v AlibabaWdkCouponSkuAddUserInfo) *AlibabaWdkCouponSkuAddCouponTemplateItemRequest {
	s.UserInfo = &v
	return s
}
